<ng-container *ngIf = "ychAuctionDto?.imageId">
  <div style = "text-align: center; margin-top: 50px;">
    <div class = "ych-detail-box-left">
      <ng-container [ngSwitch] = "auctionKind">
        <ng-container *ngSwitchCase = "'ADOPT'">
          <app-img-with-support-imgs [imagesId] = "getImagesId(ychAuctionDto)"></app-img-with-support-imgs>
        </ng-container>
        <ng-container *ngSwitchCase = "'ART_TRADE'">
          <app-img-with-support-imgs [imagesId] = "getImagesId(ychAuctionDto)"></app-img-with-support-imgs>
        </ng-container>
        <ng-container *ngSwitchCase = "'YCH'">
          <img (click) = "showZoomImg(ychAuctionDto.imageId)"
               class = "auction-image"
               src = "{{ serverUrl }}/api/images/{{ ychAuctionDto.imageId }}"/>
        </ng-container>
      </ng-container>

      <div class = "buttons-menu-container">
        <app-auction-info-buttons
          (autoBuy)="onAutoBuy()"
          (navigateToArtistVisitCard)="navigateToArtistVisitCard()"
          [ychAuctionDto] = "ychAuctionDto"
        ></app-auction-info-buttons>
      </div>
    </div>
    <div class = "ych-detail-box-right">
      <app-bid-section
        (onShowAddBid) = "showAddBid()"
        [ychAuctionDto] = "ychAuctionDto"
      ></app-bid-section>
    </div>
  </div>
  <div class = "ych-detail-container">
    <div class = "ych-detail-menu-bid-comment">
      <div>
        <p-tabView>
          <p-tabPanel *ngIf = "ychAuctionDto.description"
                      header = "Description">
            <div style = "max-width: 200px; min-width: 980px">
              <div [innerHTML] = "htmlBodyUtilsService.parseBody(ychAuctionDto.description)"></div>
            </div>
          </p-tabPanel>
          <p-tabPanel *ngIf = "auctionKind === 'ART_TRADE' && ychAuctionDto?.imgBids.length > 0"
                      header = "Bids">
            <app-img-bids
              (onChooseAWinnerForArtTrade) = "chooseAWinnerForArtTrade($event)"
              [ychAuctionDto] = "ychAuctionDto"
            ></app-img-bids>
          </p-tabPanel>
          <p-tabPanel header = "Comments">
            <div style = "max-width: 200px; min-width: 1000px">
              <app-comments
                (onSaveComment) = "saveComment($event)"
                [ychAuctionDto] = "ychAuctionDto"
              ></app-comments>
            </div>
          </p-tabPanel>
        </p-tabView>
      </div>
    </div>
  </div>
</ng-container>
